Skip to main content
`Ctrl`+`K`

# PetscDrawOpenImage

Opens an image for use with the `PetscDraw` routines.

## Synopsis

    #include "petscdraw.h"
    #include "petscdraw.h"
    PetscErrorCode PetscDrawOpenImage(MPI_Comm comm, const char filename[], int w, int h, PetscDraw *draw)

Collective

## Input Parameters

- comm - the communicator that will share image

- filename - optional name of the file where the image will be stored

- w - the image width in pixels

- h - the image height in pixels

## Output Parameter

- draw - the drawing context.

## See Also

`PetscDraw`, `PETSC_DRAW_IMAGE`, `PETSC_DRAW_X`, `PetscDrawSetSave()`, `PetscDrawSetFromOptions()`, `PetscDrawCreate()`, `PetscDrawDestroy()`

## Level

beginner

## Location

src/sys/classes/draw/impls/image/drawimage.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages